Get the cluster's DNS token rotation
import requests
url = "https://platform.ankra.app/api/v1/clusters/{cluster_id}/dns-zone/token-rotation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/{cluster_id}/dns-zone/token-rotation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/{cluster_id}/dns-zone/token-rotation \
--header 'Authorization: Bearer <token>'{
"success": true,
"fqdn": "<string>",
"state": "<string>",
"rotation_requested_at": "2023-11-07T05:31:56Z",
"previous_token_pending_revocation": true,
"revocation_requested_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Clusters
Get the cluster's DNS token rotation
Reports where the rotation of the cluster’s DNS write token stands: whether a rotation is waiting for its replacement token, and whether the token a rotation replaced is still valid and waiting to be revoked. Never returns a token.
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
dns-zone
/
token-rotation
Get the cluster's DNS token rotation
import requests
url = "https://platform.ankra.app/api/v1/clusters/{cluster_id}/dns-zone/token-rotation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/{cluster_id}/dns-zone/token-rotation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/{cluster_id}/dns-zone/token-rotation \
--header 'Authorization: Bearer <token>'{
"success": true,
"fqdn": "<string>",
"state": "<string>",
"rotation_requested_at": "2023-11-07T05:31:56Z",
"previous_token_pending_revocation": true,
"revocation_requested_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Response
Successful Response